Skip to content
Developer

AccessTag

System and settings5 EndpointsAccess / AccessTag

Returns a list of all AccessTag

GET/api/base/accesstag

Query parameters

deletedbooleanThis property is used to mark an entity as deleted / archived | Requires access right: LOGGED_IN | Default value: false
namestringRequires access right: LOGGED_IN
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all AccessTagarray<AccessTag>

Show fields (6)
  • idinteger

    Primary key of the access tag. Internal ID, used as the reference in access rights.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • short_identifierstring

    Short identifier of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/base/accesstag \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true,
    "short_identifier": "42"
  }
]

Creates a new AccessTag entry.

POST/api/base/accesstag

Request body application/json

  • dataAccessTag2
    Show fields (2)
    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add new AccessTagAccessTag

Show fields (6)
  • idinteger

    Primary key of the access tag. Internal ID, used as the reference in access rights.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • short_identifierstring

    Short identifier of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/base/accesstag \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "short_identifier": "42"
}

Returns a single AccessTag entry.

GET/api/base/accesstag/{id}

Path parameters

idrequiredstring

Responses

200Return single AccessTagAccessTag

Show fields (6)
  • idinteger

    Primary key of the access tag. Internal ID, used as the reference in access rights.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • short_identifierstring

    Short identifier of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/base/accesstag/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "short_identifier": "42"
}

Updates an existing AccessTag entry.

PUT/api/base/accesstag/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataAccessTag2
    Show fields (2)
    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single AccessTagAccessTag

Show fields (6)
  • idinteger

    Primary key of the access tag. Internal ID, used as the reference in access rights.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • short_identifierstring

    Short identifier of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/base/accesstag/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "short_identifier": "42"
}

Updates an existing AccessTag entry.

PATCH/api/base/accesstag/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataAccessTag2
    Show fields (2)
    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single AccessTagAccessTag

Show fields (6)
  • idinteger

    Primary key of the access tag. Internal ID, used as the reference in access rights.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • short_identifierstring

    Short identifier of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/base/accesstag/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "short_identifier": "42"
}